Subject: bug#29321: Isearch hit count

From: Drew Adams <[email-masked]>
Date: Wed, 31 Oct 2018 15:07:20 -0700 (PDT)

> > I tried it, but I still see the problem.  If I repeat
> > quickly there won't be a count in the prompt, and not
> > just at the beginning.  Or there might be one, but
> > then when I switch direction it disappears (rightly
> > so, as you pointed out), but if I continue repeating
> > in that new direction the count never appears.
> 
> When you type too quickly, lazy-highlighting (that also counts
> the number of matches) has no chance to run its timer function.
> It runs with (run-with-idle-timer lazy-highlight-initial-delay ...)
> This means that it runs only after lazy-highlight-initial-delay
> (by default, 0.25 secs) of inactivity.

Sure, but why does the count not get displayed after you
slow down or even stop (while remaining in Isearch).
That's my question.

That it doesn't get shown as long as you just keep C-M-s
pressed, without letting up, is understandable.  But why
isn't the count shown when you let up?